Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class SinglePartElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement

Direct Known Subclasses:
  AcronymElement, AddressElement, AnchorElement, AreaElement, BaseElement, BaseFontElement, BigElement, BlockquoteElement, BodyElement, BoldElement, BreakElement, ButtonElement, CenteredElement, CiteElement, CodeElement, ColElement, CommentElement, DefineTermElement, DefinitionItem, EmbedElement, EmphasisElement, FontElement, FrameElement, HeadingElement, HorizontalRuleElement, ImageElement, InputElement, IsIndexElement, ItalicElement, KeyboardElement, LegendElement, LinkHeadElement, ListItem, LiteralElement, MetaElement, MultiColElement, ObjectElement, OptionElement, ParagraphElement, ParamElement, QElement, SampleElement, ScriptElement, SmallElement, SpacerElement, StrikeElement, StrongElement, StyleElement, SubscriptElement, SuperscriptElement, TableCaptionElement, TableDataElement, TeletypeElement, TextAreaElement, TextFlowElement, TitleElement, UnderlineElement, VariableElement

public abstract class SinglePartElement
extends ElementWithAttributes

The SinglePartElement class is the parent class for all HtmlElements that have a single component. For instance, ListItems are derived from the SinglePartElement class, while ListElements are derived from the MultiPartElement class.

Author:
  Copyright (c) 1995-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `MultiPartElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`SinglePartElement()` Deprecated. Constructs a default SinglePartElement.
`SinglePartElement(HtmlElement val)` Deprecated. Constructs a SinglePartElement with the specified HtmlElement.
`SinglePartElement(java.lang.String val)` Deprecated. Constructs a SinglePartElement with the specified String.

Method Summary
`HtmlElement` | `getElement()` Deprecated. Gets a SinglePartElement as an HtmlElement.
`protected void` | `printBody(java.io.OutputStream ostr)` Deprecated.
`protected void` | `printBody(java.io.OutputStream ostr, java.lang.String codeset)` Deprecated.
`protected void` | `printBody(java.io.PrintWriter pw)` Deprecated.
`HtmlElement` | `setElement(HtmlElement elem)` Deprecated. Returns the specified HtmlElement as an HtmlElement.
`HtmlElement` | `setElement(java.lang.String str)` Deprecated. Returns the specified String as an HtmlElement.
`int` | `widthAsLiteral()` Deprecated. Returns the width of a SinglePartElement.

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getHtmlCode, getLocalVar, getQuotedAttribute, output, output, output, printBody, printCR, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SinglePartElement

    public SinglePartElement()

  Deprecated.
  Constructs a default SinglePartElement.

### SinglePartElement

    public SinglePartElement(HtmlElement val)

  Deprecated.
  Constructs a SinglePartElement with the specified HtmlElement.

  Parameters:
    `val` - HtmlElement

### SinglePartElement

    public SinglePartElement(java.lang.String val)

  Deprecated.
  Constructs a SinglePartElement with the specified String.

  Parameters:
    `val` - String

Method Detail

### setElement

    public HtmlElement setElement(java.lang.String str)

  Deprecated.
  Returns the specified String as an HtmlElement.

  Parameters:
    `str` - String
  Returns:
    HtmlElement

### setElement

    public HtmlElement setElement(HtmlElement elem)

  Deprecated.
  Returns the specified HtmlElement as an HtmlElement.

  Parameters:
    `elem` - HtmlElement
  Returns:
    HtmlElement

### getElement

    public HtmlElement getElement()

  Deprecated.
  Gets a SinglePartElement as an HtmlElement.

  Returns:
    HtmlElement

### widthAsLiteral

    public int widthAsLiteral()

  Deprecated.
  Returns the width of a SinglePartElement.

  Returns:
    Width in pixels
  Overrides:
    widthAsLiteral in class HtmlElement

### printBody

    protected void printBody(java.io.OutputStream ostr)
                      throws java.io.IOException

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### printBody

    protected void printBody(java.io.OutputStream ostr,
                             java.lang.String codeset)
                      throws java.io.IOException

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### printBody

    protected void printBody(java.io.PrintWriter pw)
                      throws java.io.IOException

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD